%define majorver	8.6
%define libname		%mklibname %{name} %{majorver}
%define develname	%mklibname %{name} -d

Name:		tcl
Epoch:		1
Version:	8.6.13
Release:	%mkrel 2
Summary:	Tool Command Language, pronounced tickle
License:	TCL
Group:		Development/Other
URL:		https://tcl.sourceforge.net/
Source0:	https://downloads.sourceforge.net/tcl/%{name}-core%{version}-src.tar.gz
Source1:	tcl.macros
Patch0:		tcl-8.6.11-autopath.patch
Patch1:		tcl-8.6.11-conf.patch
Patch2:		tcl-8.6.3-hidden.patch
BuildRequires:	autoconf
BuildRequires:	pkgconfig(zlib)
Provides:	tcl(abi) = %{majorver}

%description
The Tcl (Tool Command Language) provides a powerful platform for
creating integration applications that tie together diverse
applications, protocols, devices, and frameworks. When paired with the
Tk toolkit, Tcl provides a fastest and powerful way to create
cross-platform GUI applications.  Tcl can also be used for a variety
of web-related tasks and for creating powerful command languages for
applications.

%package -n	%{libname}
Summary:	Shared libraries for %{name}
Group:		System/Libraries

%description -n	%{libname}
The Tcl (Tool Command Language) provides a powerful platform for
creating integration applications that tie together diverse
applications, protocols, devices, and frameworks. When paired with the
Tk toolkit, Tcl provides a fastest and powerful way to create
cross-platform GUI applications.  Tcl can also be used for a variety
of web-related tasks and for creating powerful command languages for
applications.

If you're installing the tcl package and you want to use Tcl for
development, you should also install the tk and tclx packages.

%package -n	%{develname}
Summary:	Tcl scripting language development environment
Group:		Development/Other
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	%{libname} = %{epoch}:%{version}-%{release}
Provides:	%{name}-devel = %{epoch}:%{version}-%{release}

%description -n	%{develname}
The Tcl (Tool Command Language) provides a powerful platform for
creating integration applications that tie together diverse
applications, protocols, devices, and frameworks. When paired with the
Tk toolkit, Tcl provides a fastest and powerful way to create
cross-platform GUI applications.  Tcl can also be used for a variety
of web-related tasks and for creating powerful command languages for
applications.

The package contains the development files and man pages for tcl.

%prep
%setup -q -n %{name}%{version}
rm -r compat/zlib
chmod -x generic/tclStrToD.c

%patch0 -p1 -b .autopath
%patch1 -p1 -b .conf
%patch2 -p1 -b .hidden

%build
pushd unix
autoconf
%configure \
	--enable-threads \
	--enable-symbols \
	--enable-shared

%make_build \
	CFLAGS="%{optflags}" TCL_LIBRARY=%{_datadir}/%{name}%{majorver}

%install
%make_install -C unix \
	TCL_LIBRARY=%{_datadir}/%{name}%{majorver}

ln -s tclsh%{majorver} %{buildroot}%{_bindir}/tclsh

# for linking with -lib%%{name}
ln -s lib%{name}%{majorver}.so %{buildroot}%{_libdir}/lib%{name}.so

mkdir -p %{buildroot}%{_libdir}/%{name}%{majorver}

# postgresql and maybe other packages too need tclConfig.sh
# paths don't look at /usr/lib for efficiency, so we symlink into tcl8.5 for now
ln -s %{_libdir}/%{name}Config.sh %{buildroot}%{_libdir}/%{name}%{majorver}/%{name}Config.sh

mkdir -p %{buildroot}%{_includedir}/%{name}-private/{generic,unix}
find generic unix -name "*.h" -exec cp -p '{}' %{buildroot}%{_includedir}/%{name}-private/'{}' ';'
( cd %{buildroot}%{_includedir}
	for i in *.h ; do
		[ -f %{buildroot}%{_includedir}/%{name}-private/generic/$i ] && ln -sf ../../$i %{buildroot}%{_includedir}/%{name}-private/generic ;
	done
)

# remove buildroot traces
sed -i -e "s|$PWD/unix|%{_libdir}|; s|$PWD|%{_includedir}/%{name}-private|" %{buildroot}%{_libdir}/%{name}Config.sh
rm -rf %{buildroot}%{_datadir}/%{name}%{majorver}/ldAix

install -m 0644 -D %{SOURCE1} %{buildroot}%{_rpmmacrodir}/macros.%{name}

%files
%doc README.md changes license.terms
%{_bindir}/tclsh*
%{_datadir}/%{name}%{majorver}
%exclude %{_datadir}/%{name}%{majorver}/tclAppInit.c
%{_datadir}/%{name}8
%{_mandir}/man1/*
%{_mandir}/man3/*
%{_mandir}/mann/*
%dir %{_libdir}/%{name}%{majorver}

%files -n %{libname}
%{_libdir}/lib%{name}%{majorver}.so

%files -n %{develname}
%{_rpmmacrodir}/macros.%{name}
%{_includedir}/*
%{_libdir}/lib%{name}stub%{majorver}.a
%{_libdir}/lib%{name}.so
%{_libdir}/%{name}Config.sh
%{_libdir}/%{name}ooConfig.sh
%{_libdir}/%{name}%{majorver}/%{name}Config.sh
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/%{name}%{majorver}/tclAppInit.c


%changelog
* Thu Dec 01 2022 danf <danf> 1:8.6.13-2.mga9
+ Revision: 1913943
- Remove {} from TCL_PACKAGE_PATH as some software doesn't expect that

* Mon Nov 28 2022 daviddavid <daviddavid> 1:8.6.13-1.mga9
+ Revision: 1912213
- new version: 8.6.13

* Wed Mar 16 2022 umeabot <umeabot> 1:8.6.12-2.mga9
+ Revision: 1795001
- Mageia 9 Mass Rebuild

* Sat Nov 27 2021 kekepower <kekepower> 1:8.6.12-1.mga9
+ Revision: 1759703
- Update to version 8.6.12
- Rediff Patch1: tcl-8.6.11-conf.patch
+ wally <wally>
- move rpm macros to %%_rpmmacrodir

* Mon Jan 04 2021 daviddavid <daviddavid> 1:8.6.11-1.mga9
+ Revision: 1668764
- new version: 8.6.11

* Tue Feb 18 2020 umeabot <umeabot> 1:8.6.10-2.mga8
+ Revision: 1538437
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Nov 22 2019 daviddavid <daviddavid> 1:8.6.10-1.mga8
+ Revision: 1462108
- new version: 8.6.10

* Fri Nov 16 2018 daviddavid <daviddavid> 1:8.6.9-1.mga7
+ Revision: 1330190
- new version: 8.6.9

* Sun Sep 23 2018 umeabot <umeabot> 1:8.6.8-3.mga7
+ Revision: 1301335
- Mageia 7 Mass Rebuild

* Wed May 30 2018 pterjan <pterjan> 1:8.6.8-2.mga7
+ Revision: 1233180
- Rebuild against new glibc to get rid of -lieee in tclConfig.sh and fix the build of other packages

* Sun Jan 07 2018 daviddavid <daviddavid> 1:8.6.8-1.mga7
+ Revision: 1191278
- new version: 8.6.8
- rename and rediff conf patch

* Mon Aug 14 2017 daviddavid <daviddavid> 1:8.6.7-1.mga7
+ Revision: 1140317
- new version: 8.6.7

* Wed Jul 19 2017 daviddavid <daviddavid> 1:8.6.6-1.mga7
+ Revision: 1125203
- new version: 8.6.6

* Wed Mar 23 2016 daviddavid <daviddavid> 1:8.6.5-1.mga6
+ Revision: 994632
- new version: 8.6.5

* Fri Feb 12 2016 umeabot <umeabot> 1:8.6.4-3.mga6
+ Revision: 958979
- Mageia 6 Mass Rebuild

* Thu Oct 15 2015 blino <blino> 1:8.6.4-2.mga6
+ Revision: 891688
- provide tcl(abi) = 8.6 to allow versioned dependencies (like Fedora)

* Fri Oct 02 2015 daviddavid <daviddavid> 1:8.6.4-1.mga6
+ Revision: 885795
- new version: 8.6.4
- use tcl-core tarball instead of tcl tarball (like Fedora)
- rename and rediff patches (sync with fc24)
- use system zlib instead of bundled one
- update file list

* Fri Feb 07 2014 fwang <fwang> 1:8.5.15-1.mga5
+ Revision: 585059
- 8.5.15

* Sat Oct 19 2013 umeabot <umeabot> 1:8.5.14-2.mga4
+ Revision: 530176
- Mageia 4 Mass Rebuild

* Sat Jul 20 2013 fwang <fwang> 1:8.5.14-1.mga4
+ Revision: 456476
- new version 8.5.14
- go back to 8.5

* Sat Nov 10 2012 fwang <fwang> 1:8.5.13-1.mga3
+ Revision: 316805
- new version 8.5.13

* Sat Sep 08 2012 fwang <fwang> 1:8.5.12-3.mga3
+ Revision: 289972
- enable thread for ruby 1.9

* Sun Aug 05 2012 fwang <fwang> 1:8.5.12-2.mga3
+ Revision: 278587
- add requires so that correct libs are installed

* Sat Jul 28 2012 fwang <fwang> 1:8.5.12-1.mga3
+ Revision: 275126
- new version 8.5.12

* Fri Nov 11 2011 fwang <fwang> 1:8.5.11-1.mga2
+ Revision: 166816
- new version 8.5.11

* Mon Jul 04 2011 ahmad <ahmad> 1:8.5.10-3.mga2
+ Revision: 117971
- Don't ship lib%%{name}%%{majorver}.so in both the main package and libname

* Sat Jul 02 2011 fwang <fwang> 1:8.5.10-2.mga2
+ Revision: 117283
- add tcl.macros

* Fri Jul 01 2011 fwang <fwang> 1:8.5.10-1.mga2
+ Revision: 117199
- fix desc
- revert to 8.5 stable releases
- sync with fedora's patch

* Thu May 05 2011 misc <misc> 8.6-0.b1.7.mga1
+ Revision: 95192
- rebuild with the system zlib, to avoid crash on scilab
+ spuhler <spuhler>
- removed buildroot definition from .spec

* Sat Jan 08 2011 blino <blino> 8.6-0.b1.6.mga1
+ Revision: 957
- remove old ldconfig scriptlets
- imported package tcl

